Show compatibility error if an add-on uses getMessageArray

RESOLVED FIXED

Status

addons.mozilla.org Graveyard
Compatibility Tools
RESOLVED FIXED
5 years ago
2 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

Details

(Whiteboard: [fx19][milestone:2012-02-07])

(Reporter)

Description

5 years ago
As explained in bug 664695, most the signature for the nsIConsoleService::GetMessageArray function has changed. We need to flag all instances of this function and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The getMessageArray function has changed, and now it returns the array instead of setting the object passed as a parameter. See <LINK> for more information.

Link: https://bugzilla.mozilla.org/show_bug.cgi?id=664695

Affected add-on:

https://addons.mozilla.org/firefox/addon/calculator/
(Assignee)

Comment 1

5 years ago
https://github.com/mozilla/amo-validator/commit/3d3dc9f096db1d5647ea2a1fcde1da6cedd85a2d
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Flags: needinfo?
Resolution: --- → FIXED
Just for the sake of correctness (or in case someone else wants to look at the actual commit): https://github.com/mozilla/amo-validator/commit/89aea7de2704a322536df41a820a26da75340f2a
Flags: needinfo?
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.